Package Details: arch-sec-check-git 1.1.3.17.g55d3d26-1

Git Clone URL: https://aur.archlinux.org/arch-sec-check-git.git (read-only, click to copy)
Package Base: arch-sec-check-git
Description: Compares your local installed packages with the arch linux security database
Upstream URL: https://gitlab.com/techfreak/arch-sec-check
Licenses: GPL2
Conflicts: arch-sec-check
Provides: arch-sec-check
Submitter: techfreak
Maintainer: techfreak
Last Packager: techfreak
Votes: 1
Popularity: 0.000680
First Submitted: 2019-12-01 00:00
Last Updated: 2019-12-05 15:43

Pinned Comments

techfreak commented on 2019-12-02 15:32

@yochananmarqos Thanks for your input. I got fixed it. I am currently using the method from here to generate the version number https://wiki.archlinux.org/index.php/VCS_package_guidelines but I am not sure if that is the best choice. My goal is to make maintaining easy of my aur package.

Latest Comments

techfreak commented on 2019-12-02 19:57

@yochananmarqos applied that function and yeah that solution is better. Thank you so much for your help.

yochananmarqos commented on 2019-12-02 17:08

@techfreak: You could do something like the alacritty-git package does:

pkgver() {
  cd ${pkgname%-git}
  printf "$(grep '^version =' Cargo.toml|head -n1|cut -d\" -f2|cut -d\- -f1).$(git rev-list --count HEAD).g$(git rev-parse --short HEAD)"
}
0.1.0.11.gecc5bc7

techfreak commented on 2019-12-02 15:32

@yochananmarqos Thanks for your input. I got fixed it. I am currently using the method from here to generate the version number https://wiki.archlinux.org/index.php/VCS_package_guidelines but I am not sure if that is the best choice. My goal is to make maintaining easy of my aur package.

yochananmarqos commented on 2019-12-02 02:55

This does not build:

line 16: cd: arch-sec-check-git: No such file or directory

Please see the VCS PKGBUILD template in /usr/share/pacman/PKGBUILD-vcs.proto. Use ${pkgname%-git} instead of ${pkgname} to remove the -git.

You also need to include:

provides=("${pkgname%-git}")
conflicts=("${pkgname%-git}")

Specifying both cargo and rust is redundant; use one or the other. rust provides cargo.

Please use a pkgver() array to generate the version. If you don't want to use git tags, generate it using the Cargo.toml.

This really should use cargo build --release --locked as per Rust package guidelines. However it fails with the --locked flag:

   Updating crates.io index
error: the lock file /home/yochanan/Documents/pkgbuilds/arch-sec-check-git/src/arch-sec-check/Cargo.lock needs to be updated but --locked was passed to prevent this